<template>
  <ion-header>
    <ion-toolbar>
      <ion-buttons slot="secondary">
        <ion-button @click="openSearchUsersPage">
          <ion-icon id="searchIcon" slot="icon-only" :icon="searchOutline" />
        </ion-button>
      </ion-buttons>
      <ion-buttons slot="end">
        <ion-menu-button color="primary" />
      </ion-buttons>
      <ion-title>{{ $appName }}</ion-title>
    </ion-toolbar>
  </ion-header>
</template>

<script>
import {
  IonIcon,
  IonHeader,
  IonToolbar,
  IonTitle,
  IonMenuButton,
  IonButtons,
  IonButton,
} from "@ionic/vue";
import { searchOutline } from "ionicons/icons";

export default {
  name: "MainTopBar",
  components: {
    IonIcon,
    IonHeader,
    IonToolbar,
    IonTitle,
    IonMenuButton,
    IonButtons,
    IonButton,
  },
  setup() {
    return {
      searchOutline,
    };
  },
  methods: {
    openSearchUsersPage() {
      this.$router.push({ name: "SearchUsers" });
    },
  },
};
</script>